- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDEffectParameterSampler Class Reference
[COLLADA Effect Classes [ColladaFX]]

A COLLADA sampler effect parameter. More...

`#include <FCDEffectParameterSampler.h>`

Inheritance diagram for FCDEffectParameterSampler:

List of all members.

## Public Types
enum | SamplerType { SAMPLER1D, SAMPLER2D, SAMPLER3D, SAMPLERCUBE }
| The type of sampling to execute. More...
## Public Member Functions
| FCDEffectParameterSampler (FCDocument *document)
| Constructor: do not use directly.
virtual | ~FCDEffectParameterSampler ()
| Destructor.
virtual Type | GetType () const
| Retrieves the type of effect parameter class.
FCDEffectParameterSurface * | GetSurface ()
| Retrieves the parameter for the surface to sample.
const FCDEffectParameterSurface * | GetSurface () const
| See above.
void | SetSurface (FCDEffectParameterSurface *surface)
| Sets the surface parameter for the surface to sample.
SamplerType | GetSamplerType () const
| Retrieves the type of sampling to do.
void | SetSamplerType (SamplerType type)
| Sets the type of sampling to do.
FUDaeTextureWrapMode::WrapMode | GetWrapS () const
| Retrieves the wrap mode (in dimension S, T or P) of the sampler.
FUDaeTextureWrapMode::WrapMode | GetWrapT () const
| See above.
FUDaeTextureWrapMode::WrapMode | GetWrapP () const
| See above.
void | SetWrapS (FUDaeTextureWrapMode::WrapMode mode)
| Sets the wrap mode (in dimension S, T or P) of the sampler.
void | SetWrapT (FUDaeTextureWrapMode::WrapMode mode)
| See above.
void | SetWrapP (FUDaeTextureWrapMode::WrapMode mode)
| See above.
FUDaeTextureFilterFunction::FilterFunction | GetMinFilter () const
| Retrieves the appropriate filter function (minification, magnification or mip map filtering) of the sampler.
FUDaeTextureFilterFunction::FilterFunction | GetMagFilter () const
| See above.
FUDaeTextureFilterFunction::FilterFunction | GetMipFilter () const
| See above.
void | SetMinFilter (FUDaeTextureFilterFunction::FilterFunction func)
| Sets the appropriate filter function (minification, magnification or mip map filtering) of the sampler.
void | SetMagFilter (FUDaeTextureFilterFunction::FilterFunction func)
| See above.
void | SetMipFilter (FUDaeTextureFilterFunction::FilterFunction func)
| See above.
virtual bool | IsValueEqual (FCDEffectParameter *parameter)
| Compares this parameter's value with another.
virtual FCDEffectParameter * | Clone (FCDEffectParameter *clone=NULL) const
| Creates a full copy of the effect parameter.
virtual void | Overwrite (FCDEffectParameter *target)
| [INTERNAL] Overwrites the target parameter with this parameter.

## Detailed Description

A COLLADA sampler effect parameter.

A sampler parameter provides the extra texturing information necessary to correctly sample a surface parameter. There are four types of samplers supported: 1D, 2D, 3D and cube.

## Member Enumeration Documentation

enum FCDEffectParameterSampler::SamplerType

  | The type of sampling to execute. Enumerator:
  SAMPLER2D | 1D sampling.
  SAMPLER3D | 2D sampling.
  SAMPLERCUBE | Cube-map sampling.

## Constructor & Destructor Documentation

FCDEffectParameterSampler::FCDEffectParameterSampler | ( | FCDocument * | document | ) |

  | Constructor: do not use directly. Instead, use the appropriate AddEffectParameter function. Parameters:
  | document | The COLLADA document that owns the effect parameter.

## Member Function Documentation

virtual FCDEffectParameter* FCDEffectParameterSampler::Clone | ( | FCDEffectParameter * | clone = `NULL` | ) | const`[virtual]`

  | Creates a full copy of the effect parameter. Parameters:
  | clone | The cloned effect parameter. If this pointer is NULL, a new effect parameter will be created and you will need to delete this pointer.
Returns: The cloned effect parameter. Reimplemented from FCDEffectParameter.

FUDaeTextureFilterFunction::FilterFunction FCDEffectParameterSampler::GetMinFilter | ( |  | ) | const`[inline]`

| Retrieves the appropriate filter function (minification, magnification or mip map filtering) of the sampler. Returns: The filter function.

SamplerType FCDEffectParameterSampler::GetSamplerType | ( |  | ) | const`[inline]`

| Retrieves the type of sampling to do. Returns: The sampling type.

FCDEffectParameterSurface* FCDEffectParameterSampler::GetSurface | ( |  | ) | `[inline]`

| Retrieves the parameter for the surface to sample. Returns: The surface parameter. This pointer will be NULL if the sampler is not yet linked to any surface..

virtual Type FCDEffectParameterSampler::GetType | ( |  | ) | const`[inline, virtual]`

| Retrieves the type of effect parameter class. Returns: The parameter class type: SAMPLER. Implements FCDEffectParameter.

FUDaeTextureWrapMode::WrapMode FCDEffectParameterSampler::GetWrapS | ( |  | ) | const`[inline]`

| Retrieves the wrap mode (in dimension S, T or P) of the sampler. Returns: The wrap mode.

virtual bool FCDEffectParameterSampler::IsValueEqual | ( | FCDEffectParameter * | parameter | ) | `[virtual]`

  | Compares this parameter's value with another. Parameters:
  | parameter | The given parameter to compare with.
Returns: true if the values are equal Implements FCDEffectParameter.

virtual void FCDEffectParameterSampler::Overwrite | ( | FCDEffectParameter * | target | ) | `[virtual]`

  | [INTERNAL] Overwrites the target parameter with this parameter. This function is used during the flattening of materials. Parameters:
  | target | The target parameter to overwrite.
Reimplemented from FCDEffectParameter.

void FCDEffectParameterSampler::SetMinFilter | ( | FUDaeTextureFilterFunction::FilterFunction | func | ) | `[inline]`

  | Sets the appropriate filter function (minification, magnification or mip map filtering) of the sampler. Parameters:
  | func | The filter function.

void FCDEffectParameterSampler::SetSamplerType | ( | SamplerType | type | ) | `[inline]`

  | Sets the type of sampling to do. Parameters:
  | type | The sampling type.

void FCDEffectParameterSampler::SetSurface | ( | FCDEffectParameterSurface * | surface | ) |

  | Sets the surface parameter for the surface to sample. Parameters:
  | surface | The surface parameter. This pointer may be NULL to unlink the sampler.

void FCDEffectParameterSampler::SetWrapS | ( | FUDaeTextureWrapMode::WrapMode | mode | ) | `[inline]`

  | Sets the wrap mode (in dimension S, T or P) of the sampler. Parameters:
  | mode | The wrap mode.

The documentation for this class was generated from the following file:

- FCDocument/FCDEffectParameterSampler.h